package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ZySlideshow;

/**
 * 轮播图管理Mapper接口
 * 
 * @author libao
 * @date 2024-05-24
 */
public interface ZySlideshowMapper 
{
    /**
     * 查询轮播图管理
     * 
     * @param id 轮播图管理主键
     * @return 轮播图管理
     */
    public ZySlideshow selectZySlideshowById(Long id);

    /**
     * 查询轮播图管理列表
     * 
     * @param zySlideshow 轮播图管理
     * @return 轮播图管理集合
     */
    public List<ZySlideshow> selectZySlideshowList(ZySlideshow zySlideshow);

    /**
     * 新增轮播图管理
     * 
     * @param zySlideshow 轮播图管理
     * @return 结果
     */
    public int insertZySlideshow(ZySlideshow zySlideshow);

    /**
     * 修改轮播图管理
     * 
     * @param zySlideshow 轮播图管理
     * @return 结果
     */
    public int updateZySlideshow(ZySlideshow zySlideshow);

    /**
     * 删除轮播图管理
     * 
     * @param id 轮播图管理主键
     * @return 结果
     */
    public int deleteZySlideshowById(Long id);

    /**
     * 批量删除轮播图管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZySlideshowByIds(Long[] ids);
}
